/* You can add global styles to this file, and also import other style files */
@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  [appTabHeader] {
    @apply bg-menuIconBackground;
  }

  [appTabHeader].active {
    /*@apply bg-lightGreen;*/
    @apply text-textGrey;
  }

  [appTabHeader]:not(.active):hover {
    @apply cursor-pointer;
  }

  [tab-name]:not(.active) {
    @apply hidden;
  }

  .list-item:nth-child(2n+1) {
    @apply bg-itemLight
}

.list-item:nth-child(2n) {
    @apply bg-itemDark
}
}

[appTabHeader].active {
  background: linear-gradient(180deg, rgba(207,246,79,1) 0%, rgba(164,215,56,1) 50%);
}

.green-gradient {
  background: rgb(207,246,79);
  background: linear-gradient(180deg, rgba(207,246,79,1) 0%, rgba(164,215,56,1) 50%); 

  -webkit-box-shadow: 0px 3px 2px -1px #000000; 
  box-shadow: 0px 3px 2px -1px #000000;
}

.rounded-item {
  @apply py-1;
  @apply px-2;
  @apply rounded;
  @apply bg-contentBackground;
  /* background: linear-gradient(180deg, rgba(207,246,79,1) 0%, rgba(164,215,56,1) 50%);  */
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
  }